Bug 819139 - repoclosure failure on 17.TC5 DVDs (mysql-connector-java)
Summary: repoclosure failure on 17.TC5 DVDs (mysql-connector-java)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-connector-java
Version: 17
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: F17Blocker, F17FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2012-05-05 02:51 UTC by Andre Robatino
Modified: 2012-05-16 06:06 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-05-12 16:22:40 UTC


Attachments (Terms of Use)

Description Andre Robatino 2012-05-05 02:51:40 UTC
Description of problem:
17.TC3 i386 DVD:

package: 1:mysql-connector-java-5.1.17-4.fc17.i686 from myrepo
  unresolved deps: 
     libgcj_bc.so.1
     java-gcj-compat >= 0:1.0.31
     java-gcj-compat >= 0:1.0.31

17.TC3 x86_64 DVD:

package: 1:mysql-connector-java-5.1.17-4.fc17.x86_64 from myrepo
  unresolved deps: 
     libgcj_bc.so.1()(64bit)
     java-gcj-compat >= 0:1.0.31
     java-gcj-compat >= 0:1.0.31

Comment 1 Tom Lane 2012-05-05 02:59:32 UTC
Hmm ... time to switch mysql-connector-java to non-GCJ build?

Comment 2 Fedora Update System 2012-05-05 17:19:18 UTC
mysql-connector-java-5.1.17-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mysql-connector-java-5.1.17-5.fc17

Comment 3 Fedora Update System 2012-05-06 04:01:16 UTC
Package mysql-connector-java-5.1.17-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mysql-connector-java-5.1.17-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7398/mysql-connector-java-5.1.17-5.fc17
then log in and leave karma (feedback).

Comment 4 Adam Williamson 2012-05-07 15:32:11 UTC
Discussed at 2012-05-07 QA meeting, acting as a blocker review meeting. Accepted as a blocker per criterion "There must be no file conflicts (cases where the files in some packages conflict but the packages have explicit Conflicts: tags are acceptable) or unresolved package dependencies during a media-based (DVD) install".



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Dennis Gilmore 2012-05-08 00:56:18 UTC
was mysql-connector-java recently added to @mysql in comps?   we have a -*gcj* in the kickstart to exclude all the gcj bits from the install media.

Comment 6 Tom Lane 2012-05-08 03:37:10 UTC
(In reply to comment #5)
> was mysql-connector-java recently added to @mysql in comps?

Nobody told me about any such change AFAIR.  But in any case, switching the package to non-GCJ build is clearly the wave of the future, indeed shoulda been done some time ago if I understand the state of play for things Java.  Much better solution than excluding the package from the install.

Comment 7 Adam Williamson 2012-05-08 06:36:25 UTC
mysql-connector-java isn't explicitly in comps, afaict. Something must have grown a dep on it.

I rather suspect all this Eclipse / Java-related excitement is caused by:

http://git.fedorahosted.org/git/?p=comps.git;a=commitdiff;h=8b40d37d1b3101b6684a62ceec3bb5c856404b07

"Add eclipse-mylyn-fedora-integration to eclipse."

Can we just kick that out on the grounds it's causing trouble and is late? Or should we try and fix all this mess up?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Andre Robatino 2012-05-10 05:16:44 UTC
Problem still exists on 17.TC4 DVDs.

17.TC4 i386 DVD:

package: 1:mysql-connector-java-5.1.17-4.fc17.i686 from myrepo
  unresolved deps: 
     libgcj_bc.so.1
     java-gcj-compat >= 0:1.0.31
     java-gcj-compat >= 0:1.0.31

17.TC4 x86_64 DVD:

package: 1:mysql-connector-java-5.1.17-4.fc17.x86_64 from myrepo
  unresolved deps: 
     libgcj_bc.so.1()(64bit)
     java-gcj-compat >= 0:1.0.31
     java-gcj-compat >= 0:1.0.31

Comment 9 Adam Williamson 2012-05-10 05:30:42 UTC
dgilmore says this is because we pulled mysql-connector-java-5.1.17-5.fc17 via a side repo, it's not pushed stable. because it's not pushed stable, mysql-connector-java-5.1.17-4.fc17 is still available in the official repo. and since -5 is noarch while -4 is arch, we wind up with *both* the noarch -5 packages *and* the arch -4 packages on the DVD.

once -5 is pushed stable, -4 will be unavailable, and we'll be ok.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Andre Robatino 2012-05-12 07:53:56 UTC
Problem still exists on 17.TC5 DVDs (identical messages as in comment 8).

Comment 11 Fedora Update System 2012-05-12 16:22:40 UTC
mysql-connector-java-5.1.17-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Tom Lane 2012-05-12 20:05:03 UTC
(In reply to comment #11)
> mysql-connector-java-5.1.17-5.fc17 has been pushed to the Fedora 17 stable
> repository.

This should mean that the *next* compose will work.

Comment 13 Andre Robatino 2012-05-16 06:06:08 UTC
Confirmed fixed in 17.TC6. No repoclosure problems.


Note You need to log in before you can comment on or make changes to this bug.